--- lib/ext2fs/tdb.c.orig	2008-06-26 06:34:50.000000000 +0100
+++ lib/ext2fs/tdb.c	2008-12-08 08:34:48.000000000 +0000
@@ -41,6 +41,18 @@
 #endif
 #define _XOPEN_SOURCE 500
 
+#include <sys/types.h>
+#include <sys/param.h>
+#ifndef __FreeBSD__
+#include <sys/file.h>
+#endif
+#include <sys/time.h>
+#include <sys/stat.h>
+#include <sys/select.h>
+#ifdef HAVE_SYS_MMAN_H
+#include <sys/mman.h>
+#endif
+
 #include <unistd.h>
 #include <stdio.h>
 #include <stdlib.h>
@@ -48,21 +60,12 @@
 #include <stddef.h>
 #include <errno.h>
 #include <string.h>
-#include <sys/select.h>
-#include <sys/time.h>
-#include <sys/types.h>
 #include <time.h>
 #ifdef HAVE_UTIME_H
 #include <utime.h>
 #endif
-#include <sys/stat.h>
-#include <sys/file.h>
 #include <fcntl.h>
 
-#ifdef HAVE_SYS_MMAN_H
-#include <sys/mman.h>
-#endif
-
 #ifndef MAP_FILE
 #define MAP_FILE 0
 #endif
